AbstractGroovyPageBinding.BindingMapEntry (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class AbstractGroovyPageBinding.BindingMapEntry

    java.lang.Object
      org.apache.commons.collections.keyvalue.AbstractKeyValue
          org.apache.commons.collections.keyvalue.AbstractMapEntry
              org.codehaus.groovy.grails.web.pages.AbstractGroovyPageBinding.BindingMapEntry

    protected static class AbstractGroovyPageBinding.BindingMapEntry
    extends org.apache.commons.collections.keyvalue.AbstractMapEntry

Constructor Summary
`protected AbstractGroovyPageBinding.BindingMapEntry(AbstractGroovyPageBinding binding, java.lang.Object key, java.lang.Object value)`

Method Summary
`java.lang.Object` | `setValue(java.lang.Object value)`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry
org.apache.commons.collections.keyvalue.AbstractMapEntry#setValue(java.lang.Object), org.apache.commons.collections.keyvalue.AbstractMapEntry#equals(java.lang.Object), org.apache.commons.collections.keyvalue.AbstractMapEntry#hashCode(), org.apache.commons.collections.keyvalue.AbstractMapEntry#toString(), org.apache.commons.collections.keyvalue.AbstractMapEntry#getValue(), org.apache.commons.collections.keyvalue.AbstractMapEntry#getKey(), org.apache.commons.collections.keyvalue.AbstractMapEntry#wait(long, int), org.apache.commons.collections.keyvalue.AbstractMapEntry#wait(long), org.apache.commons.collections.keyvalue.AbstractMapEntry#wait(), org.apache.commons.collections.keyvalue.AbstractMapEntry#getClass(), org.apache.commons.collections.keyvalue.AbstractMapEntry#notify(), org.apache.commons.collections.keyvalue.AbstractMapEntry#notifyAll()

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
org.apache.commons.collections.keyvalue.AbstractKeyValue#toString(), org.apache.commons.collections.keyvalue.AbstractKeyValue#getValue(), org.apache.commons.collections.keyvalue.AbstractKeyValue#getKey(), org.apache.commons.collections.keyvalue.AbstractKeyValue#wait(long, int), org.apache.commons.collections.keyvalue.AbstractKeyValue#wait(long), org.apache.commons.collections.keyvalue.AbstractKeyValue#wait(), org.apache.commons.collections.keyvalue.AbstractKeyValue#equals(java.lang.Object), org.apache.commons.collections.keyvalue.AbstractKeyValue#hashCode(), org.apache.commons.collections.keyvalue.AbstractKeyValue#getClass(), org.apache.commons.collections.keyvalue.AbstractKeyValue#notify(), org.apache.commons.collections.keyvalue.AbstractKeyValue#notifyAll()

Constructor Detail

### AbstractGroovyPageBinding.BindingMapEntry

    protected AbstractGroovyPageBinding.BindingMapEntry(AbstractGroovyPageBinding binding, java.lang.Object key, java.lang.Object value)

Method Detail

### setValue

    @java.lang.Override
    public java.lang.Object setValue(java.lang.Object value)

Groovy Documentation